Description

Hi Andrei,

Ok next issue is my headers and footers are not printing and the default text size is not being picked up. | have changed the
MyPDf.php and PdfFactory.php as per what we have as live at the moment and no errors.

| have changed the PDFvendor->library->interpid->PdfLib->table.config.php file (as per last time - and have set the font size in the
ROW section but it's not picking it up.

Looking at the wiki | see this location is set in PDF_TABLE_CONFIG_PATH - But | don't know which module this path setting is in ?
I'm assuming this table setting will cure all the above issues !

| attach a page from our test system with the issues re border, font and lack of header. | also enclose a live page which is running the
old interpid release 5.4.4 and what we need.

Rgds
Jerry

Related issues:
Related to Task #1974: Improve table configuration settings Closed 02/03/2021

History

#1 - 02/02/2021 09:41 PM - Andrei Bintintan
- File Screenshot_62.png added
- File Screenshot_63.png added

In the Provided examples PDF_TABLE_CONFIG_PATH is defined in autoload.php and points to \examples folder. Screenshot attached. CHECK this
as this might be your issue.

IF it's not defined then the Table class defines it to be in the same path as the Table.class.
The table expect in this defined path to find table.config.php file with the table defines in it.

Now, it depends on your implementation where PDF_TABLE_CONFIG_PATH is pointing. You can check that very easy with a
var_dump(PDF_TABLE_CONFIG_PATH) or something similar.

If headers and footers are missing, there is something wrong with your setup.

Are the examples working correctly on your side? They are a very good starting point, as it's very difficult like this to tell you what's going wrong.
| hope it helps a bit.

PS: | might refactor this part of the table, as it's a but suboptimal.

#2 - 02/02/2021 09:41 PM - Andrei Bintintan

- Status changed from New to Feedback

- Assignee set to Jerry Quinnell
#3 - 02/03/2021 03:27 PM - Jerry Quinnell

Perfect - that's found it - there are two table.config.php files in your libraries - So | have now changed the correct one - this has given me correct font
sizes and colors now.
Regarding the headers and footers - The SetStyle parameter sequence has changed in two places - in 5.4.4 it was SetStyle(tag, family, style, size,

color). In 6.2 it is now SetStyle(tag, size, style, color, family) - | had spotted family moving but not the swap of size and style.

So I'm all working now - thanks again for your help Andrei.

#4 - 02/03/2021 03:31 PM - Andrei Bintintan

You're very welcome!

| will review this config part and try to make it a bit more transparent / simple.

#5 - 02/03/2021 03:32 PM - Andrei Bintintan
- Related to Task #1974: Improve table configuration settings added

#6 - 02/03/2021 03:32 PM - Andrei Bintintan
- Status changed from Feedback to Closed

Files

table.config.jpg
Test Page.jpg

Live Page.jpg
Screenshot_62.png
Screenshot_63.png

04/17/2024

201 KB
99.8 KB
72.8 KB
71.4 KB
298 KB

02/02/2021
02/02/2021
02/02/2021
02/02/2021
02/02/2021

Jerry Quinnell
Jerry Quinnell
Jerry Quinnell
Andrei Bintintan
Andrei Bintintan

22


http://www.tcpdf.org

